Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.domain.pluginDecorators
Class RepositoryDecorator

    java.lang.Object
      kieker.webgui.domain.pluginDecorators.AbstractAnalysisComponentDecorator<kieker.analysis.model.analysisMetaModel.MIRepository>
          kieker.webgui.domain.pluginDecorators.RepositoryDecorator

All Implemented Interfaces:
  kieker.analysis.model.analysisMetaModel.MIAnalysisComponent, kieker.analysis.model.analysisMetaModel.MIRepository, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject

    public final class RepositoryDecorator

extends AbstractAnalysisComponentDecorator<kieker.analysis.model.analysisMetaModel.MIRepository>
implements kieker.analysis.model.analysisMetaModel.MIRepository

This is the actual decorator which decorates an `MIRepository` instance with some more properties and methods. The already existing behavior of the `MIRepository` instance is not modified.

Author:
  Nils Christian Ehmke

Field Summary

Fields inherited from class kieker.webgui.domain.pluginDecorators.AbstractAnalysisComponentDecorator
`analysisComponent, FACTORY`

Constructor Summary
`RepositoryDecorator(kieker.analysis.model.analysisMetaModel.MIRepository analysisComponent, Map<String,String> propertiesDescriptions, String description, String dependency, boolean fullyInitialized)` Constructor to instantiate the fields of this class.

Method Summary
`protected kieker.analysis.model.analysisMetaModel.MIRepository` | `createComponent()` Inheriting classes should implement this method to deliver the actual copy (without further properties) of the wrapped component.

Methods inherited from class kieker.webgui.domain.pluginDecorators.AbstractAnalysisComponentDecorator
`eAdapters, eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eDeliver, eGet, eGet, eInvoke, eIsProxy, eIsSet, eNotify, eResource, eSet, eSetDeliver, eUnset, getClassname, getDependency, getDescription, getId, getName, getProperties, getPropertyDescription, isFullyInitialized, newCopy, refineComponentCopy, setClassname, setId, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.model.analysisMetaModel.MIAnalysisComponent
`getClassname, getId, getName, getProperties, setClassname, setId, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Constructor Detail

### RepositoryDecorator

    public RepositoryDecorator(kieker.analysis.model.analysisMetaModel.MIRepository analysisComponent,
                               Map<String,String> propertiesDescriptions,
                               String description,
                               String dependency,
                               boolean fullyInitialized)

  Constructor to instantiate the fields of this class.

  Parameters:
    `analysisComponent` - The component wrapped by this decorator.
    `propertiesDescriptions` - The descriptions of the properties.
    `description` - The description of the wrapped component.
    `dependency` - The dependency description of the wrapped component.
    `fullyInitialized` - A flag to show whether the component has been fully initialized or not.

Method Detail

### createComponent

    protected final kieker.analysis.model.analysisMetaModel.MIRepository createComponent()

  Description copied from class: `AbstractAnalysisComponentDecorator`
  Inheriting classes should implement this method to deliver the actual copy (without further properties) of the wrapped component.

  Specified by:
    `createComponent` in class `AbstractAnalysisComponentDecorator<kieker.analysis.model.analysisMetaModel.MIRepository>`
  Returns:
    A (non-deep) copy of the wrapped component.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.